Subject: bug#60096: 29.0.60; Crash in format_mode_line_unwind_data

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Dec 2022 17:03:42 +0200

> Cc: [email-masked]
> Date: Fri, 16 Dec 2022 16:39:57 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> Note that the *scratch* buffer is re-created in this scenario without
> the blurb we put into it, and in Fundamental mode.

I've fixed at least the last part, so the major mode of the re-created
*scratch* is now as expected.

Martin, I'd appreciate your views on the changeset in commit
89f54e8157 and regarding the original problem to begin with.
Basically, set-window-configuration was called in a situation where it
has only one valid buffer to play with, which is tough for its logic
and the various other functions it invokes.  The result was a bunch of
bad windows with nil as their buffer.